import request from '@/utils/system/request'

// 查询广告平台收益
export function getIndexProfit(params) {
    return request({
        url: '/agent-service/index/profit',
        method: 'get',
        params,
        timeout: 180 * 1000
    })
}

// 查询分小时报表
export function getIndexHourReport(data) {
    return request({
        url: '/agent-service/index/hourReport',
        method: 'post',
        data,
        timeout: 60 * 1000
    })
}

// 查询用户行为数据统计
export function getIndexUserStatistic(data) {
    return request({
        url: '/agent-service/index/userStatistic',
        method: 'post',
        data,
        timeout: 60 * 1000
    })
}

// 获取首页顶部数据
export function getTopCount(params) {
    return request({
        url: '/agent-service/index/getTopCount',
        method: 'get',
        params,
        timeout: 60 * 1000
    })
}

// 查询我的未读通知
export function unreadMessage(params) {
    return request({
        url: '/agent-service/index/unreadMessage',
        method: 'get',
        params
    })
}

// 标记为已读
export function markRead(params) {
    return request({
        url: '/agent-service/index/markRead',
        method: 'get',
        params
    })
}
